Add FoundationDB support, pass 1 (#28)

diff --git a/bin/apt-dependencies.sh b/bin/apt-dependencies.sh
index 4101f86..03a9841 100755
--- a/bin/apt-dependencies.sh
+++ b/bin/apt-dependencies.sh
@@ -76,7 +76,7 @@
     curl debhelper devscripts dh-exec dh-python equivs \
     dialog equivs lintian libwww-perl quilt \
     reprepro createrepo rsync \
-    vim-tiny screen \
+    vim-tiny screen procps
 
 if [[ ${VERSION_CODENAME} == "xenial" ]]; then
   apt remove -y ${VENV}
@@ -177,5 +177,12 @@
 
 # Erlang is installed by apt-erlang.sh
 
+# FoundationDB
+wget https://www.foundationdb.org/downloads/6.2.15/ubuntu/installers/foundationdb-clients_6.2.15-1_amd64.deb
+wget https://www.foundationdb.org/downloads/6.2.15/ubuntu/installers/foundationdb-server_6.2.15-1_amd64.deb
+dpkg -i ./foundationdb*deb
+pkill -f fdb || true
+pkill -f foundation || true
+
 # clean up
 apt-get clean
diff --git a/bin/pkg-dependencies.sh b/bin/pkg-dependencies.sh
index 1754896..caa7222 100755
--- a/bin/pkg-dependencies.sh
+++ b/bin/pkg-dependencies.sh
@@ -56,5 +56,8 @@
   pkg install -y libffi autotools
 fi
 
+# FoundationDB
+pkg install -y foundationdb foundationdb-devel
+
 # Erlang is installed by pkg-erlang.sh
 
diff --git a/bin/yum-dependencies.sh b/bin/yum-dependencies.sh
index 702cef1..23cbcce 100755
--- a/bin/yum-dependencies.sh
+++ b/bin/yum-dependencies.sh
@@ -198,5 +198,17 @@
   yum install -y libffi-devel
 fi
 
+# FoundationDB
+if [[ ${VERSION_ID} -eq 6 ]]; then
+  wget https://www.foundationdb.org/downloads/6.2.15/rhel6/installers/foundationdb-clients-6.2.15-1.el6.x86_64.rpm
+  wget https://www.foundationdb.org/downloads/6.2.15/rhel6/installers/foundationdb-server-6.2.15-1.el6.x86_64.rpm
+else
+  wget https://www.foundationdb.org/downloads/6.2.15/rhel7/installers/foundationdb-clients-6.2.15-1.el7.x86_64.rpm
+  wget https://www.foundationdb.org/downloads/6.2.15/rhel7/installers/foundationdb-server-6.2.15-1.el7.x86_64.rpm
+fi
+yum --nogpgcheck localinstall -y foundationdb*rpm
+pkill -f fdb || true
+pkill -f foundation || true
+
 # clean up
 yum clean all -y